import 'package:flutter/material.dart';

import 'package:pweb/widgets/footer/widget.dart';


class PageWithFooter extends StatelessWidget {
  final PreferredSizeWidget? appBar;
  final Widget child;

  const PageWithFooter({
    super.key,
    required this.child,
    this.appBar,
  });

  @override
  Widget build(BuildContext context) => Scaffold(
    appBar: appBar,
    body: CustomScrollView(
      slivers: [
        SliverFillRemaining(
          hasScrollBody: false,
          child: Column(
            children: [
              Expanded(
                child: Center(child: child),
              ),
              FooterWidget(),
            ],
          ),
        ),
      ],
    ),
  );
}
